package com.richwagner.mobileservices
{
    /**
     * Mail      
     * Sample code for iPhone Development with Flash 
     *  
     * @author Rich Wagner
     * 
     */ 
    public class Mail extends MobileService
    {
        
        public static var recipient:String = null;  
        public static var ccList:String = null; 
        public static var bccList:String = null;         
        public static var subject:String = null; 
        public static var body:String = null; 

        /**
         * Opens the Mail app and provides message details based on the 
         * class static properties.  
         * 
         */
        public static function sendMail():void
        {
            var cmd:String = "mailto:"; 
            
            var firstParam:Boolean = false; 
            
            
            if (!recipient)
            {
                trace("Error: You need to specify one or more recipients.");                 
                return; 
            }    

            // Add recipient list 
            cmd += recipient; 

            // Add subject 
            if (subject) 
            {
                var subjectArr:Array=subject.split(' ');
                subject = subjectArr.join('%20');
                
                cmd+= "?subject=" + subject; 
                firstParam = true; 
            }    
            
            if (ccList) 
            {
                var ccListArr:Array=ccList.split(' ');
                ccList = ccListArr.join('%20');
                
                if (!firstParam) 
                    cmd += "?cc=" + ccList
                else
                    cmd += "&cc=" + ccList; 
                
                firstParam = true;
            }    
            
            if (bccList) 
            {
                var bccListArr:Array=bccList.split(' ');
                bccList = bccListArr.join('%20');                

                if (!firstParam) 
                    cmd += "?bcc=" + bccList
                else
                    cmd += "&bcc=" + bccList; 

                firstParam = true; 
            }    
            
            
            // Add message text 
            if (body)
            {

                var bodyArr:Array= body.split(' ');
                body = bodyArr.join('%20');
                
                if (!firstParam) 
                    cmd += "?body=" + body
                else
                    cmd += "&body=" + body; 
                                
            }    
            
            executeCommand(cmd); 
            
        }


    
    }
}